Bug 244130 - mail/fetchmail: mail/fetchmailconf: update to 6.4.2, make Python 3 compatible
Summary: mail/fetchmail: mail/fetchmailconf: update to 6.4.2, make Python 3 compatible
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Matthias Andree
URL: https://sourceforge.net/projects/fetc...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-14 21:08 UTC by Matthias Andree
Modified: 2020-02-20 19:00 UTC (History)
1 user (show)

See Also:
chalpin: maintainer-feedback+
mandree: merge-quarterly+


Attachments
update fetchmail and fetchmailconf ports to fetchmail 6.4.2 (5.08 KB, patch)
2020-02-14 21:08 UTC, Matthias Andree
no flags Details | Diff
updated fetchmail[conf] update to 6.4.2, after r526177 (3.56 KB, patch)
2020-02-14 21:43 UTC, Matthias Andree
no flags Details | Diff
updated patch to add py-future requisite and runtime test + cat -> ${CAT}, and change MASTER_SITES ${PORTNAME}->fetchmail, to make fetchmailconf fetchable. (6.52 KB, patch)
2020-02-19 06:11 UTC, Matthias Andree
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree freebsd_committer 2020-02-14 21:08:10 UTC
Created attachment 211655 [details]
update fetchmail and fetchmailconf ports to fetchmail 6.4.2

The attached patch updates the fetchmail port to 6.4.2 (bugfix, man page updates, Chinese translation update, and fetchmailconf overhaul to bring it into the 2020's with Python 3 support), see URL for release notes.
Comment 1 Matthias Andree freebsd_committer 2020-02-14 21:43:25 UTC
Created attachment 211657 [details]
updated fetchmail[conf] update to 6.4.2, after r526177

updated patch after committing Helge's patch and unbreaking fetchmailconf under blanket approval
Comment 2 Corey Halpin 2020-02-18 23:36:37 UTC
In testing, I found two minor things.

1) portlint complains:
  WARN: Makefile: [72]: possible direct use of command "cat" found. use ${CAT} instead.

2) while fetchmailconf builds correctly, when I try to run it I get:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/fetchmailconf.py", line 14, in <module>
    from past.builtins import execfile
ModuleNotFoundError: No module named 'past'

Adding ${PYTHON_PKGNAMEPREFIX}future>=0:devel/py-future@${PY_FLAVOR} to RUN_DEPENDS remedies that issue.


After those changes (not that they mattered for the poudrirer tests), mail/fetchmail passes 'poudriere testport' on both i386 and amd64 under 11.3, 12.0, and 12.1 for the following configurations:
  - Default settings 
  - Default settings, build as non-root
  - ssl=base, GSSAPI_MIT
  - ssl=base, GSSAPI_NONE
  - ssl=openssl
  - ssl=openssl with SSL2 and SSL3 disabled
  - ssl=openssl, GSSAPI_NONE
  - ssl=libressl
  - ssl=libressl, GSSAPI_NONE

mail/fetchmailconf passes 'poudirere testport' on both i386 and amd64 under 11.3, 12.0, and 12.1 with default settings.
Comment 3 Matthias Andree freebsd_committer 2020-02-19 06:11:44 UTC
Created attachment 211756 [details]
updated patch to add py-future requisite and runtime test + cat -> ${CAT}, and change MASTER_SITES ${PORTNAME}->fetchmail, to make fetchmailconf fetchable.

Corey, thanks for testing things.

1) Fixed in new upload.

2) Thanks for pointing out my oversight with the forgotten py-future requisite on the fetchmailconf port. I have added that, and some run-time testing to post-install to make sure all such modules are on the _DEPENDS lines. This copies BUILD_DEPENDS to RUN_DEPENDS, and also requires one minor patch so that we can use -h and -V options without the error "fetchmailconf must be run under X". I will include it upstream.
Comment 4 Corey Halpin 2020-02-19 22:34:04 UTC
Revised patch looks good to me and passes all the poudriere runs previously mentioned. I approve the patch.
Comment 5 Matthias Andree freebsd_committer 2020-02-20 00:03:46 UTC
Thanks for the reviews and hints - committed with inquiry if we can MFH (due to Python 2.x EOL and the Python 3 compat added in 6.4.2).
Comment 6 commit-hook freebsd_committer 2020-02-20 18:51:45 UTC
A commit references this bug:

Author: mandree
Date: Thu Feb 20 18:51:35 UTC 2020
New revision: 526576
URL: https://svnweb.freebsd.org/changeset/ports/526576

Log:
  MFH: r526535

  mail/fetchmail: mail/fetchmailconf: update to 6.4.2, make Python 3 compatible

  Fetchmail updated to new revision 6.4.2
  - one bugfix
  - manual page updates
  - update of Chinese (simplified) translation
  - massive fetchmailconf overhaul
    + Python 3 compatible (requires py-future)
    + Supports IPv6 and SSL probing
  - remove two patches for fetchmail that are in the upstream release
  - add a smoke test to fetchmailconf's post-install,
    and a patch to support that running without X11 $DISPLAY.

  PR:		244130
  Submitted by:	mandree@
  Reviewed by:	Corey Halpin <chalpin@cs.wisc.edu> (maintainer)
  Approved by:	Corey Halpin <chalpin@cs.wisc.edu> (maintainer)

  Approved by:	ports-secteam@ (joneum@)

Changes:
_U  branches/2020Q1/
  branches/2020Q1/mail/fetchmail/Makefile
  branches/2020Q1/mail/fetchmail/distinfo
  branches/2020Q1/mail/fetchmail/files/patch-fetchmail.man
  branches/2020Q1/mail/fetchmail/files/patch-t.smoke
  branches/2020Q1/mail/fetchmailconf/Makefile
  branches/2020Q1/mail/fetchmailconf/files/patch-fetchmailconf.py
Comment 7 Matthias Andree freebsd_committer 2020-02-20 19:00:34 UTC
The original commit for head/ was somehow lost and not linked to this PR, 
so here goes, manually, for completeness.

Thanks to everyone who reviewed and approved things.

URL: https://svnweb.freebsd.org/changeset/ports/526535

------------------------------------------------------------------------
r526535 | mandree | 2020-02-20 01:01:58 +0100 (Thu, 20 Feb 2020) | 19 lines

mail/fetchmail: mail/fetchmailconf: update to 6.4.2, make Python 3 compatible

Fetchmail updated to new revision 6.4.2
- one bugfix
- manual page updates
- update of Chinese (simplified) translation
- massive fetchmailconf overhaul
  + Python 3 compatible (requires py-future)
  + Supports IPv6 and SSL probing
- remove two patches for fetchmail that are in the upstream release
- add a smoke test to fetchmailconf's post-install,
  and a patch to support that running without X11 $DISPLAY.

PR:		244130
Submitted by:	mandree@
Reviewed by:	Corey Halpin <chalpin@cs.wisc.edu> (maintainer)
Approved by:	Corey Halpin <chalpin@cs.wisc.edu> (maintainer)
MFH:		2020Q1 (bugfixes and fetchmailconf update and Python3 compat.)

------------------------------------------------------------------------